# File.h file

A file.

### Contents

- Reference
  - Classes
  - Typedefs

## Classes

template<class T, class U = void, class = int>
struct Template
  Class with template parameters.

## Typedefs

template<class T, typename = void>
using Foo = Bar<T, int>
  A templated type with just template details.

## Typedef documentation

###
template<class T, typename = void>
using Foo = Bar<T, int>

A templated type with just template details.

Template parameters
T | Template param